# 9.1.0

The 9.1 release fixes a few rendering regressions introduced in v9.0. It introduces bulk feature removal in Vector sources, addresses attribution consistency, includes new style operators, and adds the Alidade Satellite style to the Stamen source. Moreover, it ensures compliance with Google's terms of use for attribution handling of the Google source.

#### List of all changes

See below for a complete list of features and fixes.

 * Calculate canvas width and height the same way for all renderers (by @ahocevar in https://github.com/openlayers/openlayers/pull/15652)
 * Add an option to remove feature silently in ol.source.Vector. (by @ger-benjamin in https://github.com/openlayers/openlayers/pull/15643)
 * Store previous transform in FrameState (by @ahocevar in https://github.com/openlayers/openlayers/pull/15620)
 * Fix decluttering opacity, zIndex and circles (by @ahocevar in https://github.com/openlayers/openlayers/pull/15614)
 * Fix rendering nothing with declutter and postrender listener (by @ahocevar in https://github.com/openlayers/openlayers/pull/15630)
 * Mention `ZoomToExtent` in breaking changes of `v9.0.0` (by @JakobMiksch in https://github.com/openlayers/openlayers/pull/15616)
 * Updates to the Google attribution (by @tschaub in https://github.com/openlayers/openlayers/pull/15602)
 * Make UTF wrapX and empty string attribution handling consistent with TileJSON (by @mike-000 in https://github.com/openlayers/openlayers/pull/15604)
 * Listen for `change:size` event in Attributions example (by @mike-000 in https://github.com/openlayers/openlayers/pull/15603)
 * Do not use arrays for non-consecutive zIndex keys (by @ahocevar in https://github.com/openlayers/openlayers/pull/15600)
 * Retrieve Google attributions automatically via their API and provide an example showing how to add the Google logo (by @fnicollet in https://github.com/openlayers/openlayers/pull/15598)
 * Add Alidade Satellite style (by @stadiamaps in https://github.com/openlayers/openlayers/pull/15597)
 * Add 'in' and 'between' operators (by @fredj in https://github.com/openlayers/openlayers/pull/15594)
 * feat: add to-string operator (by @fredj in https://github.com/openlayers/openlayers/pull/15591)
 * Updates for the 9.0.0 release (by @openlayers in https://github.com/openlayers/openlayers/pull/15584)


<details>
  <summary>Dependency Updates</summary>

 * Bump webpack-dev-middleware from 7.0.0 to 7.1.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/15657)
 * Bump webpack-dev-server from 5.0.2 to 5.0.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/15647)
 * Bump puppeteer from 22.4.1 to 22.5.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/15648)
 * Bump follow-redirects from 1.15.5 to 1.15.6 (by @openlayers in https://github.com/openlayers/openlayers/pull/15645)
 * Bump rollup from 4.12.0 to 4.13.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/15633)
 * Bump marked from 12.0.0 to 12.0.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/15628)
 * Bump ol-stac from 1.0.0-beta.8 to 1.0.0-beta.9 (by @openlayers in https://github.com/openlayers/openlayers/pull/15627)
 * Bump typescript from 5.3.3 to 5.4.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/15626)
 * Bump metalsmith from 2.6.2 to 2.6.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/15624)
 * Bump puppeteer from 22.3.0 to 22.4.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/15623)
 * Bump karma-firefox-launcher from 2.1.2 to 2.1.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/15608)
 * Bump express from 4.18.2 to 4.18.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/15607)
 * Bump ol-mapbox-style from 12.2.0 to 12.2.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/15586)
 * Bump eslint from 8.56.0 to 8.57.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/15587)
 * Bump karma from 6.4.2 to 6.4.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/15588)
 * Bump puppeteer from 22.2.0 to 22.3.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/15585)


</details>
